// What should you add?
// - Add the ability to jump! 
//   Try to use gravity to make it realistic
// - Add platforms Karel can jump on
// - Add obstacles for Karel to dodge
// - Add powerups that make Karel 
//   faster, bigger, or smaller
// - Add a background behind Karel

var PLAYER_HEIGHT = 40;
var PLAYER_WIDTH = 40;
var PLAYER_IMG = "https://static.codehs.com/img/karel/default/karel_east.png";
var player, playerX, playerY;
var playerVX = 0; 
var playerVY = 0;

function start() {
    player = new WebImage(PLAYER_IMG);
	player.setSize(PLAYER_WIDTH, PLAYER_HEIGHT);
	playerX = getWidth()/2;
	playerY = getHeight() - PLAYER_HEIGHT;
	player.setPosition(playerX, playerY);
	add(player);
	
	keyDownMethod(handleKeyDown);
	keyUpMethod(handleKeyUp);
	
	setTimer(update, 40);
}

function update() {
    playerX += playerVX;
    playerY += playerVY;
    player.setPosition(playerX, playerY);
}

function handleKeyDown(keyEvent) {
    if (keyEvent.code === 'ArrowRight') {
        playerVX = 5;
    }
    if (keyEvent.code === 'ArrowUp') {
        // Karel can't jump yet!
    }
    if (keyEvent.code === 'ArrowLeft') {
        playerVX = -5;
    }
}

function handleKeyUp(keyEvent) {
    if (keyEvent.code === 'ArrowRight') {
        playerVX = 0;
    }
    if (keyEvent.code === 'ArrowUp') {
        // Karel can't jump yet!
    }
    if (keyEvent.code === 'ArrowLeft') {
        playerVX = 0;
    }
}